Package ru.bitel.bgbilling.common.bean

# Class TransactionUtils

java.lang.Object
ru.bitel.bgbilling.common.bean.TransactionUtils

Direct Known Subclasses:
  `TransactionUtils`

public class TransactionUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `doAutopayment(ParameterMap moduleSetup, String prefix, Class<?> constantsClass)`
  `static void`
  `setAutopaymentData(int moduleId, int contractId, Map<String,Object> dataMap, Connection con, String prefix, AbstractAutopaymentManager autopaymentManager, Class<?> constantsClass)`
  `static void`
  `setAutopaymentEnabled(ParameterMap moduleSetup, Map<String,Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, String prefix, Class<?> constantsClass)`
  `static void`
  `setAutopaymentModeAuto(ParameterMap moduleSetup, Map<String,Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, String prefix, Class<?> constantsClass)`
  Автоматический режим
  `static void`
  `setAutopaymentModeMonth(ParameterMap moduleSetup, Map<String,Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, String prefix, Class<?> constantsClass)`
  ежемесячный режим
  `static void`
  `setAutopaymentModeWeek(ParameterMap moduleSetup, Map<String,Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, String prefix, Class<?> constantsClass)`
  `static void`
  `setMinMaxSum(ParameterMap moduleSetup, Map<String,Object> dataMap, String prefix, Class<?> constantsClass)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransactionUtils

    public TransactionUtils()

- ## Method Details

  - ### setMinMaxSum

    public static void setMinMaxSum(ParameterMap moduleSetup, Map<String,Object> dataMap, String prefix, Class<?> constantsClass)

  - ### setAutopaymentData

    public static void setAutopaymentData(int moduleId, int contractId, Map<String,Object> dataMap, Connection con, String prefix, AbstractAutopaymentManager autopaymentManager, Class<?> constantsClass) throws Exception
    Throws:
      `Exception`

  - ### setAutopaymentEnabled

    public static void setAutopaymentEnabled(ParameterMap moduleSetup, Map<String,Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, String prefix, Class<?> constantsClass)

  - ### setAutopaymentModeWeek

    public static void setAutopaymentModeWeek(ParameterMap moduleSetup, Map<String,Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, String prefix, Class<?> constantsClass)

  - ### setAutopaymentModeMonth

    public static void setAutopaymentModeMonth(ParameterMap moduleSetup, Map<String,Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, String prefix, Class<?> constantsClass)
    ежемесячный режим

  - ### setAutopaymentModeAuto

    public static void setAutopaymentModeAuto(ParameterMap moduleSetup, Map<String,Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, String prefix, Class<?> constantsClass)
    Автоматический режим

  - ### doAutopayment

    public static void doAutopayment(ParameterMap moduleSetup, String prefix, Class<?> constantsClass)